//this file is part of eMule
//Copyright (C)2002 Merkur ( merkur-@users.sourceforge.net / http://www.emule-project.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#pragma once

class CPPgSivkaFileDefaults : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgSivkaFileDefaults)

public:
	CPPgSivkaFileDefaults(); // standard constructor
	virtual ~CPPgSivkaFileDefaults();
	enum { IDD = IDD_PPG_SIVKAFILEDEFAULTS }; // Dialog Data

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnInitDialog(void);
	virtual BOOL OnApply();
	void Localize();
	void LoadSettings(void);

	afx_msg	void OnBnClickedEnableAutoHL();
	afx_msg	void OnBnClickedEnableAutoNNS();
	afx_msg	void OnBnClickedEnableAutoFQS();
	afx_msg	void OnBnClickedEnableAutoQRS();
	
	afx_msg void OnBnClickedModified() { SetModified();}
	afx_msg void OnEnChangeModified() { SetModified();}

private:
	void OnLoadEnableAutoHL();
	void OnLoadEnableAutoNNS();
	void OnLoadEnableAutoFQS();
	void OnLoadEnableAutoQRS();
};
